      implicit real*8(a-h,o-z)
      pi=4*atan(1.0d0)
      x=pi/4
      dfdx=cos(x)
      dx=1.0d0
      do i=1,20
      dx=dx/2
      dfdx1=(sin(x+dx)-sin(x))/dx
      write(*,800) dx, dfdx1, dfdx
 800  format(3(1x,f12.5))
      enddo
      end

